Status: Closed Start date: 25 Mar 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 0.77 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 0.80 hour

Description

C++14 atomic machine integers should render ThreadsafeCounter superfluous.

Check, and either clean up the code, or eliminate it.

Related issues:

Related to CoCoALib - Feature #142: Improve threadsafety In Progress 30 Apr 2012

Related to CoCoALib - Bug #784: threadsafety: Scott Meyers's advice about cac... In Progress 12 Oct 2015

Related to CoCoALib - Design #1225: Move to C++14 (skipping C++11) In Progress 06 Sep 2018

History

#1 - 25 Mar 2019 12:01 - John Abbott

- Related to Feature #142: Improve threadsafety added

#2 - 25 Mar 2019 12:02 - John Abbott

- Related to Bug #784: threadsafety: Scott Meyers's advice about cached values added

#3 - 25 Mar 2019 12:02 - John Abbott

- Related to Design #1225: Move to C++14 (skipping C++11) added

#4 - 25 Mar 2019 12:06 - John Abbott

A quick grep shows that ThreadsafeCounter is used in just two places:

ring.C  (for the ring ID)

symbol.C (for anonymous symbols)

#5 - 25 Mar 2019 17:09 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 50

I have now removed ThreadsafeCounter from my own personal copy.

Everything compiles and all tests pass.  :-)

Once I've got VPN working again, I can check in.

#6 - 14 Oct 2019 15:15 - John Abbott

- Status changed from Resolved to Closed

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

- % Done changed from 50 to 100
- Estimated time set to 0.77 h

Well, I am now sync'd with CVS, so presumably this also works fine for Anna.

Apparently I have deleted the source files, and the doc, and any examples.

Closing.
